CREATE TABLE atc_entitlement_obj_refs (
    ENT_OBJ_REF_ID           NUMBER(18, 0) ,
    ENT_OBJ_REF_PUID         VARCHAR2(120)     NOT NULL,
    ENT_OBJ_REF_NAME         VARCHAR2(800) ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    AT_REFERRED_TYPE         VARCHAR2(800) ,
    OBJECT_TYPE_CODE         VARCHAR2(800) ,
    ENTITY_ID                NUMBER(18, 0)     NOT NULL,
    ENTITY_NAME              VARCHAR2(400)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    VERSION_STATE            NUMBER(2, 0)  ,
    ENT_OBJ_REF_ID           NUMBER(18, 0) ,
    ENT_OBJ_REF_PUID         VARCHAR2(120)     NOT NULL,
    ENT_OBJ_REF_NAME         VARCHAR2(800) ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    AT_REFERRED_TYPE         VARCHAR2(800) ,
    OBJECT_TYPE_CODE         VARCHAR2(800) ,
    ENTITY_ID                NUMBER(18, 0)     NOT NULL,
    ENTITY_NAME              VARCHAR2(400)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    VERSION_STATE            NUMBER(2, 0)  ,
    CONSTRAINT pk_atc_entitlement_obj_refs PRIMARY KEY (ENT_OBJ_REF_ID, ENT_OBJ_REF_ID)
);
